# Solicitar reembolso

Envia uma solicitação de reembolso para retornar uma parte do pagamento ao 
usuário. Leia sobre o Recurso de reembolso para saber mais sobre o processo.


ObserveVocê pode chamar esse método API no modo sandbox. Para fazer isso, passe os dados de pagamento de teste na solicitação. Consulte as instruções para mais detalhes sobre o acesso no modo sandbox e os cenários de teste.





AvisoEsta chamada de API não contém o trajeto-parâmetro project_id, então é preciso usar a chave API que for válida em todos os projetos da empresa para configurar a autorização.

Endpoint: PUT /merchants/{merchant_id}/reports/transactions/{transaction_id}/refund
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    ID de comerciante.

  - `transaction_id` (integer, required)
    ID da transação.

## Request fields (application/json):

  - `description` (string, required)
    Motivo para um reembolso.

  - `email` (string)
    E-mail do usuário.

## Response 200 fields (application/json):

  - `message` (string)
    Pode retornar uma das seguintes mensagens:
- No content.
- The request for a refund has been accepted. Xsolla CS will manually complete the refund. It may take up to two business days.
- The request for a refund has been accepted. Xsolla CS will automatically send the customer an email with alternative refund options as the user's method does not support direct refunds.

## Response 404 fields (application/json):

  - `message` (string)
    ID de transação inválido. Confirme as credenciais de pagamento. Caso contrário, entre em contato com o suporte da Xsolla pelo endereço support@xsolla.com.

## Response 422 fields (application/json):

  - `message` (string)
    Pode retornar uma das seguintes mensagens:
- We are processing the refund request. This may take up to two business days.
- We are reaching the user for the information required for the refund. For details, contact Xsolla Support.
- Incorrect payment status. Refund is possible only for payments with "completed" or "error" status.
- To process this request, the customer's email address field must be filled. Please specify the customer's email address and try again.
- Full refund is unavailable because there are successful partial refunds for this transaction.
- Refund failed. Please contact Xsolla Support to process it manually.
- Dispute for this invoice is already opened. Can’t make a refund yet.


## Response 204 fields

## Response 401 fields
